package com.eitc.patient.enums;

/**
 * MedicalHistoryDiseaseSourceEnum
 *
 * @author mtx
 * @date: 2024/05/22 8:52
 */
public enum MedicalHistoryDiseaseSourceEnum {

    // 疾病来源（1患者，2医生）
    PATIENT(1, "患者信息"),
    DOCTOR(2, "医生录入");

    private final Integer code;
    private final String info;

    MedicalHistoryDiseaseSourceEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
